# QStyleOption Class Reference

### [com.trolltech.qt.gui package]

### Constructor

- void QStyleOption(QStyleOption other)
- void QStyleOption(int version, int type)

### Constructor Properties

- prototype: The QStyleOption prototype object
- Version = 1
- StyleOptionVersion( value )
- Type = SO_Default
- StyleOptionType( value )
- SO_Default
- SO_FocusRect
- SO_Button
- SO_Tab
- SO_MenuItem
- SO_Frame
- SO_ProgressBar
- SO_ToolBox
- SO_Header
- SO_Q3DockWindow
- SO_DockWidget
- SO_Q3ListViewItem
- SO_ViewItem
- SO_TabWidgetFrame
- SO_TabBarBase
- SO_RubberBand
- SO_ToolBar
- SO_GraphicsItem
- SO_CustomBase = 0xf00
- SO_Complex = 0xf0000
- SO_Slider
- SO_SpinBox
- SO_ToolButton
- SO_ComboBox
- SO_Q3ListView
- SO_TitleBar
- SO_GroupBox
- SO_SizeGrip
- SO_ComplexCustomBase = 0xf000000
- OptionType( value )

### Prototype Object Properties

- void initFrom(QWidget w)

### Instance Properties

QStyleOption objects have no special properties beyond those inherited from the QStyleOption prototype object.